Subject: Re: bug#25630: [bug/df] Unicode is not supported on mounted point when I execute "df" command

From: Jaeseok Park <[email-masked]>
Date: Wed, 8 Feb 2017 10:30:25 +0900

I tried to execute the commands as you guided me, however the result is the
same.

Mini:~$ LC_ALL=ko_KR df -h
Filesystem      Size  Used Avail Use% Mounted on
/dev/disk0s2    233G  176G   56G  76% /
/dev/disk1s2    931G  686G  246G  74% /Volumes/ext
/dev/disk2s1     39M   33M  6.4M  84% /Volumes/BEAGLEBONE
/dev/disk3s1     15G  2.5M   15G   1% /Volumes/�??�?��??�?�

Mini:~$ LC_ALL=ko_KR.UTF-8 df -h
Filesystem      Size  Used Avail Use% Mounted on
/dev/disk0s2    233G  176G   56G  76% /
/dev/disk1s2    931G  686G  246G  74% /Volumes/ext
/dev/disk2s1     39M   33M  6.4M  84% /Volumes/BEAGLEBONE
/dev/disk3s1     15G  2.5M   15G   1% /Volumes/�??�?��??�?�

Mini:~$ gls /Volumes/
BEAGLEBONE  boot.tar  ext  ssd 무제

Did I do wrong something?

Regards,
Jaeseok

2017-02-08 1:04 GMT+09:00 Pádraig Brady <[email-masked]>:

> On 07/02/17 05:11, Jaeseok Park wrote:
> > Dear Pádraig
> >
> > Thank you for your reply.
> >
> > 1. Maybe its volume name seems to be encoded by UTF-8. I formatted my
> USB storage on OSX.
> >
> > 2. My $LC_ALL is empty and $LANG is "ko_KR.UTF-8".
> >
> > 3. The result of gls is as below:
> >
> > BEAGLEBONE
> > boot.tar
> > ext
> > ssd
> > ''$'\341\204\206\341\205\256\341\204\214\341\205\246'
>
> Ah right that's the decomposed form.
> HFS must use that for normalization of file names.
> Using that I can reproduce your issue with an incorrect locale:
>
> # LC_ALL=ko_KR df -h
> Filesystem      Size  Used Avail Use% Mounted on
> /dev/sda1       100M  120K  100M   1% /root/�??�?��??�?�
> # LC_ALL=ko_KR.UTF-8 df -h
> Filesystem      Size  Used Avail Use% Mounted on
> /dev/sda1       100M  120K  100M   1% /root/무제
>
>
> I.E. It looks like you have the wrong locale settings for the df command.
> Please try setting LC_ALL as above, or otherwise setting UTF-8.
>
> thanks,
> Pádraig
>

-- 
--------------------------

*"Good People, Valuable Challenge, Better World"*

Jaeseok Park | Daliworks Inc.

Mobile : +82-10-5759-5853

Office : +82-02-2274-3254
----------------------------